local pPlayer;

function CreateNewUnit(x, y, unitType, promotion1, promotion2)
	pUnit = pPlayer:InitUnit(unitType, x, y);
	if(pUnit) then
		if(promotion1 and promotion2) then
			pUnit:SetExperience(45);
			pUnit:SetLevel(3);
			pUnit:SetHasPromotion(promotion1, true);
			pUnit:SetHasPromotion(promotion2, true);
		end
		pUnit:SetMoves(pUnit:MaxMoves());
		--pUnit:PushMission(GameInfoTypes.MISSION_SLEEP);
	end
end


function OnInit() 
	print("START Amphibious Assault Scenario Map Script");
	local playerID = Game.GetActivePlayer();
	pPlayer = Players[playerID];

	local unitStats = {["spec"] = {GameInfoTypes.UNIT_PARATROOPER, GameInfoTypes.PROMOTION_DRILL_1, GameInfoTypes.PROMOTION_COVER_1},
						["chopper"] = {GameInfoTypes.UNIT_HELICOPTER_GUNSHIP, GameInfoTypes.PROMOTION_HELI_MOBILITY_1, GameInfoTypes.PROMOTION_HELI_MOBILITY_2},
						["marine"] = {GameInfoTypes.UNIT_MARINE, GameInfoTypes.PROMOTION_DRILL_1, GameInfoTypes.PROMOTION_DRILL_2},
						["mgun"] = {GameInfoTypes.UNIT_MACHINE_GUN, GameInfoTypes.PROMOTION_BARRAGE_1, GameInfoTypes.PROMOTION_BARRAGE_2},
						["jet"] = {GameInfoTypes.UNIT_JET_FIGHTER, GameInfoTypes.PROMOTION_DOGFIGHTING_1, GameInfoTypes.PROMOTION_INTERCEPTION_1},
						["bomber"] = {GameInfoTypes.UNIT_BOMBER, GameInfoTypes.PROMOTION_BOMBARDMENT_1, GameInfoTypes.PROMOTION_AIR_SIEGE_1},
					};
	
	local initAAS1 = false;
	for pUnit in pPlayer:Units() do
		
		local unitType = pUnit:GetUnitType();
		local x = pUnit:GetX();
		local y = pUnit:GetY();
		
		if(unitType == GameInfoTypes.UNIT_AAS) then

			if(initAAS1) then
				--put 3 marines, and 2 machine guns on AAS
				CreateNewUnit(x, y, unpack(unitStats.marine));
				CreateNewUnit(x, y, unpack(unitStats.marine));
				CreateNewUnit(x, y, unpack(unitStats.marine));
				CreateNewUnit(x, y, unpack(unitStats.mgun));
				CreateNewUnit(x, y, unpack(unitStats.mgun));
			else
				--put 3 paratroopers, a chopper and GG on AAS
				CreateNewUnit(x, y, unpack(unitStats.spec));
				CreateNewUnit(x, y, unpack(unitStats.spec));
				CreateNewUnit(x, y, unpack(unitStats.spec));
				CreateNewUnit(x, y, unpack(unitStats.chopper));
				CreateNewUnit(x, y, GameInfoTypes.UNIT_GREAT_GENERAL);
				initAAS1 = true;
			end
		
		elseif(unitType == GameInfoTypes.UNIT_CARRIER) then

			-- put 3 bombers and 2 jets on a carrier
			CreateNewUnit(x, y, unpack(unitStats.bomber));
			CreateNewUnit(x, y, unpack(unitStats.bomber));
			CreateNewUnit(x, y, unpack(unitStats.bomber));
			CreateNewUnit(x, y, unpack(unitStats.jet));
			CreateNewUnit(x, y, unpack(unitStats.jet));

		elseif(unitType == GameInfoTypes.UNIT_MISSILE_CRUISER) then
			
			--put 3 missiles on missile cruiser
			CreateNewUnit(x, y, GameInfoTypes.UNIT_GUIDED_MISSILE);
			CreateNewUnit(x, y, GameInfoTypes.UNIT_GUIDED_MISSILE);
			CreateNewUnit(x, y, GameInfoTypes.UNIT_GUIDED_MISSILE);
			
		end
	end
	print("FINISH Amphibious Assault Scenario Map Script");	
end
if(MapModData and MapModData.Globals and MapModData.Globals.AASScenario_7C4F07B6FF) then
	print("----- Loading map script for Amphibious Assault Scenario Map -----");
	Events.LoadScreenClose.Add ( OnInit );
end