
-- update landing units stats

UPDATE Units
SET Combat = 75, Cost = 425, Moves = 6, Special = 'SPECIALUNIT_MARINE_EXPEDITIONARY_UNIT'
WHERE Class = "UNITCLASS_HELICOPTER_GUNSHIP";

UPDATE Units
SET Combat = 65, Cost = 425, Moves = 2, Special = 'SPECIALUNIT_MARINE_EXPEDITIONARY_UNIT'
WHERE Class = "UNITCLASS_PARATROOPER";

UPDATE Units
SET Combat = 55, Cost = 400, Moves = 2, Special = 'SPECIALUNIT_MARINE_EXPEDITIONARY_UNIT'
WHERE Class = "UNITCLASS_MARINE";

UPDATE Units
SET Combat = 60, RangedCombat = 60, Range = 1, Cost = 350, Moves = 2, Special = 'SPECIALUNIT_MARINE_EXPEDITIONARY_UNIT'
WHERE Class = "UNITCLASS_MACHINE_GUN";

UPDATE Units
SET RangedCombat = 80, Range = 8, Cost = 200, Moves = 2
WHERE Class = "UNITCLASS_GUIDED_MISSILE";

UPDATE Unit_Flavors
SET Flavor = 10
WHERE UnitType = "UNIT_MARINE" AND FlavorType = "FLAVOR_DEFENSE";


-- carrier

UPDATE Units
SET Combat = 100, Cost = 475, Moves = 6
WHERE Class = "UNITCLASS_CARRIER";

-- allow generals, settlers use the AAS

UPDATE Units
SET Special = 'SPECIALUNIT_MARINE_EXPEDITIONARY_UNIT'
WHERE Class = 'UNITCLASS_GREAT_GENERAL';

UPDATE Units
SET Special = 'SPECIALUNIT_MARINE_EXPEDITIONARY_UNIT'
WHERE Class = 'UNITCLASS_SETTLER';


-- Update Promotions

DELETE FROM Unit_FreePromotions
WHERE UnitType = 'UNIT_PARATROOPER'
OR UnitType = 'UNIT_HELICOPTER_GUNSHIP'
OR UnitType = 'UNIT_CARRIER';

INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_PARATROOPER', 'PROMOTION_PARADROP');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_PARATROOPER', 'PROMOTION_COMBINED_SPECOPS_TRAINING');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_PARATROOPER', 'PROMOTION_ELITE_UNIT');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_MARINE', 'PROMOTION_OFFENSIVE_BONUS_50');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_HELICOPTER_GUNSHIP', 'PROMOTION_EXTRA_SIGHT_II');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_HELICOPTER_GUNSHIP', 'PROMOTION_CAN_MOVE_AFTER_ATTACKING');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_HELICOPTER_GUNSHIP', 'PROMOTION_WEAK_AGAINST_FORTIFIED');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_HELICOPTER_GUNSHIP', 'PROMOTION_ANTI_TANK');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_HELICOPTER_GUNSHIP', 'PROMOTION_NO_DEFENSIVE_BONUSES');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_HELICOPTER_GUNSHIP', 'PROMOTION_IGNORE_TERRAIN_COST');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_HELICOPTER_GUNSHIP', 'PROMOTION_HOVERING_UNIT');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_HELICOPTER_GUNSHIP', 'PROMOTION_NO_CAPTURE');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_CARRIER', 'PROMOTION_ONLY_DEFENSIVE');
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) VALUES('UNIT_CARRIER', 'PROMOTION_CARGO_CARRIER');

-- give fighter aircraft a bonus against anti-aircraft units
INSERT INTO Unit_FreePromotions (UnitType, PromotionType) 
SELECT Type, 'PROMOTION_WILD_WEASEL' FROM Units
WHERE CombatClass = 'UNITCOMBAT_FIGHTER';

-- All units which Carrier can carry, are given promotion so they can heal at the same rate as when in the city
INSERT INTO Unit_FreePromotions (UnitType, PromotionType)
SELECT Type, 'PROMOTION_SUPPLY_AIR' FROM Units
WHERE Special = 'SPECIALUNIT_FIGHTER' AND Suicide = 0;


-- Resource requirements
DELETE FROM Unit_ResourceQuantityRequirements
WHERE UnitType = 'UNIT_CARRIER';
INSERT INTO Unit_ResourceQuantityRequirements (UnitType, ResourceType) 
VALUES('UNIT_CARRIER', 'RESOURCE_OIL');

-- Update AAS resource type and cost to match whatever is set for the Carrier
--UPDATE Unit_ResourceQuantityRequirements
--SET ResourceType = (SELECT ResourceType FROM Unit_ResourceQuantityRequirements WHERE UnitType ='UNIT_CARRIER'),
--Cost = (SELECT Cost FROM Unit_ResourceQuantityRequirements WHERE UnitType ='UNIT_CARRIER')
--WHERE UnitType ='UNIT_AAS';

